The ARIA Player version 1.872 installs with Finale v25.5 and all Garritan instrument libraries (excluding the CFX Concert Grand and CFX Lite).  This is the minimum version required for these products to work as expected. You can download the installer for this with the links below. If you need a release later than this version, you can find the ARIA Player 1.959 installer here.

 

After updating your ARIA Player, here are some useful links for using the Garritan ARIA Player with other programs: